#include "syscall.h"

int
main()
{
    ProcessId newProc;
    OpenFileId input = ConsoleInId;
    OpenFileId output = ConsoleOutId;
    char prompt[2], ch, buffer[60];
    int i;

    prompt[0] = '-';
    prompt[1] = '-';

    while( 1 )
    {
	Write(prompt, 2, output);

	i = 0;
	
	do {
	
	    Read(&buffer[i], 1, input); 

	} while( buffer[i++] != '\n' );

	buffer[--i] = '\0';

        if( i > 0 ) {
	    if (buffer[0] == '&') {
	         newProc = Exec(&(buffer[1]));
            } else {
	      newProc = Exec(buffer);
	      if (newProc != -1 )
    	          Join(newProc);
      	    }

	    if( newProc == -1 ) {
		Write("Unable to exec program: ", 25, output );
		Write(buffer, i, output);
		Write("\n", 1, output );
	    }
	}
    }
}

